Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.socket
Class MonitoringAspect

    java.lang.Object
      edu.stanford.smi.protege.server.socket.MonitoringAspect

All Implemented Interfaces:
  SocketAspect

    public class MonitoringAspect

extends Object
implements SocketAspect

Field Summary
`static int` | `KB`

Constructor Summary
`MonitoringAspect(SocketAspect aspect)`

Method Summary
`void` | `close()`
`SocketAspect` | `getDelegate()`
`InputStream` | `getInputStream()`
`OutputStream` | `getOutputStream()`
`static boolean` | `useMonitoring()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KB

    public static final int KB

See Also:
  Constant Field Values

Constructor Detail

### MonitoringAspect

    public MonitoringAspect(SocketAspect aspect)

Method Detail

### getDelegate

    public SocketAspect getDelegate()

  Specified by:
    `getDelegate` in interface `SocketAspect`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `SocketAspect`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Specified by:
    `getOutputStream` in interface `SocketAspect`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `SocketAspect`
  Throws:
    `IOException`

### useMonitoring

    public static boolean useMonitoring()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.